## gpscorrelate 1.5.5

=== Makefile ===
# Makefile for gpscorrelate
# Written by Daniel Foote.


COBJS    = main-command.o unixtime.o gpx-read.o correlate.o exif-gps.o
GOBJS    = main-gui.o gui.o unixtime.o gpx-read.o correlate.o exif-gps.o
CFLAGS   = -Wall `pkg-config --cflags libxml-2.0 gtk+-2.0` -I/usr/include/exiv2
OFLAGS   = -Wall `pkg-config --libs libxml-2.0 gtk+-2.0` -lm -lexiv2

all:	gpscorrelate gpscorrelate-gui

gpscorrelate: $(COBJS)
	gcc $(OFLAGS) -o $@ $(COBJS)

gpscorrelate-gui: $(GOBJS)
	gcc $(OFLAGS) -o $@ $(GOBJS)

.c.o:
	gcc $(CFLAGS) -c -o $*.o $<

.cpp.o:
	g++ $(CFLAGS) -c -o $*.o $<

clean:
	rm -f *.o gpscorrelate gpscorrelate-gui
