=== debian/changelog ===
gpscorrelate (1.6.0-3build1) lucid; urgency=low

  * No change upload to pick up new exiv2 library (LP: #502565)

 -- Luka Renko <lure@ubuntu.com>  Sun, 03 Jan 2010 23:28:05 +0100

gpscorrelate (1.6.0-3) unstable; urgency=low

  * Convert source to format 3 (quilt)
  * Standards-Version 3.8.3 - no changes needed
  * Use g++ for linking, fixes FTBFS with gold (closes: #554738)
  * Make short descriptions for command line and GUI package different
  * Use © in debian/copyright

 -- Євгеній Мещеряков <eugen@debian.org>  Sat, 07 Nov 2009 17:29:57 +0100

gpscorrelate (1.6.0-2) unstable; urgency=low

  * Correct author's e-mail in debian/copyright (closes: #529293)
  * Fix incorrect GPSDateStamp format. Thanks to Håkon Stordahl
    (closes: #529202)

 -- Євгеній Мещеряков <eugen@debian.org>  Thu, 21 May 2009 21:43:05 +0200

gpscorrelate (1.6.0-1) unstable; urgency=low

  * New upstream release
    - Almost no code changes

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 05 Apr 2009 19:08:58 +0200

gpscorrelate (1.5.9-1) unstable; urgency=low

  * New upstream release
  * Install .desktop file
  * Standards-Version 3.8.1 - no changes required

 -- Євгеній Мещеряков <eugen@debian.org>  Sat, 04 Apr 2009 22:35:37 +0200

gpscorrelate (1.5.8-4) unstable; urgency=low

  * Fix crash with incomplete GPS tags and --show (closes: #487873, again)

 -- Євгеній Мещеряков <eugen@debian.org>  Sat, 07 Mar 2009 23:01:45 +0100

gpscorrelate (1.5.8-3) unstable; urgency=low

  * Fix crash on incomplete (?) gps tags. Thanks Giovanni Mascellani
    (closes: #487873, and most likely closes: #515654)

 -- Євгеній Мещеряков <eugen@debian.org>  Thu, 05 Mar 2009 01:43:58 +0100

gpscorrelate (1.5.8-2) unstable; urgency=low

  * Simplify debian/rules using debhelper 7.0.50 features
  * Fix crash when input gpx file contains empty tags (closes: #502073)
  * Use Vcs-Git instead of Vcs-Svn in debian/control
  * Fix reading and writing of negative altitudes, also fix
    crash when reading invalid Exif tags (closes: #492390, #493757)

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 01 Mar 2009 03:21:21 +0100

gpscorrelate (1.5.8-1) unstable; urgency=low

  * New upstream release
  * New maintainer (closes: 515330)
  * Standards-Version 3.8.0
    - add support for parallel=n in DEB_BUILD_OPTIONS
  * Use -Wl,--as-needed for linking to avoid some dependencies
  * Remove debian/TODO.Debian
  * Remove manpage from debian/, there is one in the upstream source 
  * Remove "Apps/" from doc-base section, thanks lintian
  * Add links to new git repository into debian/control
  * Use debhelper 7 instead of cdbs
  * Install file RELEASES as upstream changelog
  * Build-depend on xstproc, docbook-xsl and docbook-xml to build manpage

 -- Євгеній Мещеряков <eugen@debian.org>  Thu, 26 Feb 2009 21:45:49 +0100

gpscorrelate (1.5.6-2) unstable; urgency=low

  * Orphaning, as nobody volunteered for maintenance (see: #515330)
  * debian/control: set Maintainer to QA group

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 24 Feb 2009 08:22:13 +0100

gpscorrelate (1.5.6-1) unstable; urgency=low

  * new upstream release
    - fix negative timezone adjustments (closes: #444113)
  * promote Vcs-* fields to real debian/control fields
  * update standards-version, no changes needed

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 28 Dec 2007 15:29:09 +0100

gpscorrelate (1.5.5-1) unstable; urgency=low

  * new upstream release
    - make some GPS field availability optional (closes: #429655)
  * add Homepage debian/control field
  * debian/gpscorrelate-gui.menu
    - change menu section to Applications according to the new menu policy

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 22 Sep 2007 09:07:43 +0200

gpscorrelate (1.5-1) unstable; urgency=low

  * new upstream release
    - better input handling from .gpx files (Closes: #404648)
  * debian/control
    - added XS-Vcs-Browser field
  * debian/svn-deblayout
    - added, with default URL for the tags dir

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 25 Feb 2007 11:01:37 +0000

gpscorrelate (1.4-3) unstable; urgency=low

  * debian/control
    - synced long descriptions of gpscorrelate and gpscorrelate-gui
    - bumped build dependency on libexiv2-dev to ensure gpscorrelate is
      rebuild against a package with a non-b0rken .shlibs file

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 22 Sep 2006 09:41:25 +0200

gpscorrelate (1.4-2) unstable; urgency=low

  * debian/control
    - improved long description
  * debian/gpscorrelate-gui.menu
    - added menu entry for the gpscorrelate GUI
  * debian/manpage.xml
    - written gpscorrelate manpage (docbook format, generated offline)

 -- Stefano Zacchiroli <zack@debian.org>  Fri,  8 Sep 2006 20:37:38 +0200

gpscorrelate (1.4-1) experimental; urgency=low

  * Initial release (Closes: #385488)

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 31 Aug 2006 13:24:16 +0200
