=== debian/rules ===
#!/usr/bin/make -f

CFLAGS = -Wall -g

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
endif

build clean install binary-arch binary-indep binary:
	dh $@

override_dh_auto_build:
	$(MAKE) prefix=/usr CFLAGS="$(CFLAGS)" OFLAGS="$(CFLAGS)"

override_dh_auto_install:
	$(MAKE) DESTDIR=debian/tmp prefix=/usr install

override_dh_installchangelogs:
	dh_installchangelogs RELEASES

.PHONY: build clean install binary-arch binary-indep binary
