## gpscorrelate 1.6.1

=== Makefile ===
--- 
+++ 
@@ -10,17 +10,18 @@
 override OFLAGS += $(shell pkg-config --libs libxml-2.0 gtk+-2.0) -lm -lexiv2
 prefix   = /usr/local
 bindir   = $(prefix)/bin
-mandir   = $(prefix)/share/man
-docdir   = $(prefix)/share/doc/gpscorrelate
-applicationsdir = $(prefix)/share/applications
+datadir  = $(prefix)/share
+mandir   = $(datadir)/man
+docdir   = $(datadir)/doc/gpscorrelate
+applicationsdir = $(datadir)/applications
 
 all:	gpscorrelate gpscorrelate-gui gpscorrelate.1
 
 gpscorrelate: $(COBJS)
-	gcc $(OFLAGS) -o $@ $(COBJS)
+	g++ $(OFLAGS) -o $@ $(COBJS)
 
 gpscorrelate-gui: $(GOBJS)
-	gcc $(OFLAGS) -o $@ $(GOBJS)
+	g++ $(OFLAGS) -o $@ $(GOBJS)
 
 .c.o:
 	gcc $(CFLAGS) -c -o $*.o $<
@@ -41,6 +42,7 @@
 
 install-desktop-file:
 	desktop-file-install --vendor="" --dir="$(DESTDIR)$(applicationsdir)" gpscorrelate.desktop
+	install -p -m0644 -D gpscorrelate-gui.svg $(DESTDIR)$(datadir)/icons/hicolor/scalable/apps/gpscorrelate-gui.svg
 
 doc/gpscorrelate-manpage.xml: doc/gpscorrelate-manpage.xml.in
 	sed  's,@DOCDIR@,$(docdir),' $< > $@
