=== debian/changelog ===
gpscorrelate (1.6.1-7) unstable; urgency=medium

  * Bump to Standard-Version 4.1.5. No changes required.
  * Fix FTCBFS: (Closes: #901259)
    - Let dh_auto_build pass cross tools to make.
    - 80-cross.patch: Make build tools substitutable.

 -- Mònica Ramírez Arceda <monica@debian.org>  Sat, 07 Jul 2018 18:47:52 +0200

gpscorrelate (1.6.1-6) unstable; urgency=medium

  * Bump to Standard-Version 4.1.3. No changes required.
  * 60-gpstimestamp-unsigned.patch: Write the GPSTimeStamp tag as unsigned,
    as per spec. (Closes: #779390)
  * 70-option-overwrite-gpstags.patch: Add ability to force overwriting of
    existing tags. (Closes: #683772)
  * Update compatibility level to 11.
  * Use HTTPS in copyright format URL.
  * Migrate Vcs-* to salsa.debian.org.

 -- Mònica Ramírez Arceda <monica@debian.org>  Thu, 22 Feb 2018 08:46:04 +0100

gpscorrelate (1.6.1-5) unstable; urgency=medium

  * debian/watch: releases are now in github.
  * Set canonical and secure URIs to Vcs-Git and Vcs-Browser.
  * Remove the menu file.
  * Bump to Standard-Version 3.9.8.
  * Fix spelling error in manpage, added to 40-fix-typos.patch
  * 50-add-keywords-entry-desktop-file.patch: Add Keywords entry to desktop
    file.

 -- Mònica Ramírez Arceda <monica@debian.org>  Sun, 22 Jan 2017 17:11:50 +0100

gpscorrelate (1.6.1-4) unstable; urgency=low

  * Update Maintainer field with Debian email.
  * Override dh_auto_clean to remove some remaining files.
  * Update compatibility level to 9.
  * Enable security hardening build flags.
  * Update debian/copyright.
  * Bump to Standards-Version 3.9.3. No changes required.

 -- Mònica Ramírez Arceda <monica@debian.org>  Mon, 07 May 2012 00:18:07 +0200

gpscorrelate (1.6.1-3) unstable; urgency=low

  * Adopt the package: update debian/control and debian/changelog.
    (Closes: #640798)
  * debian/source/format: fix format number.
  * Simplify debian/rules with % target.
  * Rename patches and add headers to them.
  * 40-fix-typos.patch: fix typos in upstream code.
  * Bump to Standards-Version 3.9.2. No changes required.
  * Update debian/copyright to DEP-5.

 -- Mònica Ramírez Arceda <monica@probeta.net>  Wed, 14 Sep 2011 08:41:36 +0200

gpscorrelate (1.6.1-2) unstable; urgency=low

  * New patches:
    - check-gps-tags.diff - check if GPSLatitude tag is present instead of
      GPSVersionID when desiding whether photos already contain GPS tags, some
      cameras create GPSVersionID tags but do not include coordinates
      (closes: 575611)
  * Update debian/copyright

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 04 Apr 2010 23:04:05 +0200

gpscorrelate (1.6.1-1) unstable; urgency=low

  * New upstream release
  * Updated patches:
    - build-fixes.diff
  * Install the provided svg icon
  * Standards-version 3.8.4 — no changes required

 -- Євгеній Мещеряков <eugen@debian.org>  Mon, 22 Feb 2010 16:52:29 +0100
