=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: gpscorrelate
 Section: graphics
 Priority: optional
-Maintainer: Євгеній Мещеряков <eugen@debian.org>
-Build-Depends: debhelper (>= 7.0.50), pkg-config, libexiv2-dev (>= 0.10-1.3), libxml2-dev, libgtk2.0-dev,
+Maintainer: Mònica Ramírez Arceda <monica@debian.org>
+Build-Depends: debhelper (>= 11), pkg-config, libexiv2-dev (>= 0.10-1.3), libxml2-dev, libgtk2.0-dev,
   xsltproc, docbook-xml, docbook-xsl
-Standards-Version: 3.8.3
+Standards-Version: 4.1.5
 Homepage: http://freefoote.dview.net/linux_gpscorr.html
-Vcs-Git: git://git.debian.org/collab-maint/gpscorrelate.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/gpscorrelate.git
+Vcs-Git: https://salsa.debian.org/debian/gpscorrelate.git
+Vcs-Browser: https://salsa.debian.org/debian/gpscorrelate
 
 Package: gpscorrelate
 Architecture: any
@@ -53,4 +53,3 @@
  user interface for it (package gpscorrelate-gui) are provided.
  .
  This package contains the GTK+ graphical user interface.
-
