## gpscorrelate 1.6.1-1maemo3

=== Makefile ===
# Makefile for gpscorrelate
# Written by Daniel Foote.


COBJS    = main-command.o unixtime.o gpx-read.o correlate.o exif-gps.o
GOBJS    = main-gui.o gui.o unixtime.o gpx-read.o correlate.o exif-gps.o
CFLAGS   = -Wall -DMAEMO_VERSION_MAJOR=5
override CFLAGS += $(shell pkg-config --cflags libxml-2.0 gtk+-2.0) -I/usr/include/exiv2
override CFLAGS += $(shell pkg-config --cflags hildon-1 libosso dbus-glib-1) -I/usr/include/dbus-1.0
override CFLAGS += $(shell pkg-config --cflags hildon-fm-2) -I/usr/include/dbus-1.0 -I/usr/include/hildon-fm-2
OFLAGS   = -Wall
OFLAGS_CON = $(OFLAGS) -Wl,--as-needed $(shell pkg-config --libs libxml-2.0) -lm -lexiv2
OFLAGS_GTK = $(OFLAGS) -Wl,--as-needed $(shell pkg-config --libs libxml-2.0 gtk+-2.0) -lm -lexiv2
override OFLAGS_GTK += $(shell pkg-config --libs hildon-1 libosso dbus-glib-1 hildon-fm-2)
prefix   = /usr
bindir   = $(prefix)/bin
datadir  = $(prefix)/share
mandir   = $(datadir)/man
docdir   = $(datadir)/doc/gpscorrelate
applicationsdir = $(datadir)/applications

all:	gpscorrelate gpscorrelate-gui gpscorrelate.1

gpscorrelate: $(COBJS)
	g++ -o $@ $(COBJS) $(OFLAGS_CON)

gpscorrelate-gui: $(GOBJS)
	g++ -o $@ $(GOBJS) $(OFLAGS_GTK)

.c.o:
	gcc $(CFLAGS) -c -o $*.o $<

.cpp.o:
	g++ $(CFLAGS) -c -o $*.o $<

clean:
	rm -f *.o gpscorrelate gpscorrelate-gui doc/gpscorrelate-manpage.xml gpscorrelate.1

install: all
	install -d $(DESTDIR)$(bindir)
	install gpscorrelate $(DESTDIR)$(bindir)
	install -d $(DESTDIR)$(mandir)/man1
	install -m 0644 gpscorrelate.1 $(DESTDIR)$(mandir)/man1
	install -d $(DESTDIR)$(docdir)
	install -m 0644 doc/*.html doc/*.png $(DESTDIR)$(docdir)

doc/gpscorrelate-manpage.xml: doc/gpscorrelate-manpage.xml.in
	sed  's,@DOCDIR@,$(docdir),' $< > $@

gpscorrelate.1: doc/gpscorrelate-manpage.xml
	xsltproc --nonet http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl $<
