=== debian/changelog ===
gpscorrelate (1.6.1-1maemo3) unstable; urgency=low

  * Changed packaging to an original package as opposed to orig/diff

 -- Julius Luukko <julle.luukko@quicknet.inet.fi>  Fri,   4 Jun 2010 18:50:00 +0300

gpscorrelate (1.6.1-1maemo2) unstable; urgency=low

  * Added missing build depends

 -- Julius Luukko <julle.luukko@quicknet.inet.fi>  Sat,  29 May 2010 00:13:00 +0300

gpscorrelate (1.6.1-1maemo1) unstable; urgency=low

  * Initial maemo release

 -- Julius Luukko <julle.luukko@quicknet.inet.fi>  Tue,  27 May 2010 01:13:00 +0300
