=== debian/control ===
--- 
+++ 
@@ -1,18 +1,15 @@
 Source: gpscorrelate
-Section: graphics
+Section: user/graphics
 Priority: optional
-Maintainer: Mònica Ramírez Arceda <monica@debian.org>
-Build-Depends: debhelper (>= 11), pkg-config, libexiv2-dev (>= 0.10-1.3), libxml2-dev, libgtk2.0-dev,
-  xsltproc, docbook-xml, docbook-xsl
-Standards-Version: 4.1.5
+Maintainer: Julius Luukko <julle.luukko@quicknet.inet.fi>
+Build-Depends: debhelper (>= 5), pkg-config, hildon-libs-dev | libhildon1-dev, hildon-fm-dev | libhildonfm2-dev, libdbus-glib-1-dev, libosso-dev, libexiv2-dev (>= 0.10-1.3), libxml2-dev, libgtk2.0-dev
+Standards-Version: 3.7.2
 Homepage: http://freefoote.dview.net/linux_gpscorr.html
-Vcs-Git: https://salsa.debian.org/debian/gpscorrelate.git
-Vcs-Browser: https://salsa.debian.org/debian/gpscorrelate
 
 Package: gpscorrelate
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: correlates digital photos with GPS data filling EXIF fields (command line)
+Description: Correlates digital photos with GPS data filling EXIF fields (command line)
  gpscorrelate fills EXIF (Exchangeable Image File Format) fields of
  digital photos related to GPS (Global Positioning System) information
  (e.g.: GPSLatitude, GPSLongitude, GPSAltitude, ...). The act of filling
@@ -31,11 +28,83 @@
  .
  This package contains the command line tool and the documentation in HTML
  format.
+XB-Maemo-Icon-26: 
+ iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0
+ d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAC/JJREFUeNrUWkuoJkcVPqeq
+ uvt/3XmhIRJGZ5TxASoZFVQQVFBHxIgLoysXIYKIG0HBB5Is3BkMCG40C1cG
+ F4ogWUhiEkEZIkTEkIAZJTE4E5J4zczc+z/6VVV+51T1nT9jJt4/TnTSTN3q
+ 7r8f3zn1na/OqR5+28mT5LuOtp8+R33fnxpVo49Za45ba4uqLENROG9d0TVt
+ 0wcf+hhDiJE8s+mZyXvfeyLuI2G/6/oQfTDG9caa3vd9F0LorcUzrPW4FTeH
+ 3lnX4bhnQx0zd9bYDvd3RHrcWMMtnt8Zy20MsY0xtnhRS2way7zCdbUrq94V
+ FTk8lNqmcYcPHfrRiTcdv8VZQ77vCEaQc5YYV3tcEwW1D9qCbjAlwqSAlvZ8
+ pCiXipEe16MBVIwAJyCoJYoNjK1xro5MK4q0JAEUaQFnLGDEAu+bk/TM2uOe
+ Bd6F5pb4fWmMKfCsAm+cG+47x31Ps6r88rveceMtz21vhzN/fSIsVysBqeCx
+ RbxE9iM63CsbBznGQUgdiYVBbJXfiKP0nuW8nqOQr5Hb5Y/0IT1Trtfneb2W
+ 9Rk9jnsZERx3LMcYKQPEGM1+MpmEAsMYwAkHBxYn3viGL+zs7NCvH/xtwFCx
+ sRgogcn5NYYSbjkHdPhjKIGzegVzHI4Ns4DATWzyLWq4GgZQrPfiDs5uYb0/
+ qLGsQAW8Uis1NQD0EQNAK2N7DLOfTaegKrNbLpbHZtPJ8d8//EcZfy7LUrHr
+ q8UnI7T2BZBC/tkS7Rkm4EwaLUq282Cygo8yQqCNF2/iVCf0wg8tLhOO10It
+ +KHGsXB8lY7RZ85bYxq9HrHXtV2/MqsArNFVZXHDYr6YXri4g+CyCTzCKYo/
+ xiDb93rq7zIU/mATmCo5dQ08ZYODUiWmHmAyWMQEYgB9gzsaTwEgEQfMS9i0
+ ZOE5c+K+8D5G9BILPIcXECO0kuthfmMkoEOA8c6raODBjoI/WLctNU0bdWDF
+ 69dFLm/vqfg0rLieqPw8IvMBT+03cfljuKYElKgGDM2vtT41Fv5m71KdvIqg
+ lcZxAaALGLuLm3exv4tXa09iSJRAxjUaxDCAqYERDRvuoHFKIRFD7MGUEKZN
+ 28EOn8YbXfX9nsrPQp1+gdteo4+k4pORzNs7Xt5YBJqDz5YG3l8GXOVQPK7g
+ swED+AxKFCbOxQCiSy0mQ1R9sI/rWcDXWcEAkhDE4AacBz5FqDYZ54pxByUS
+ XZSA5THI/T7s4rX1zfD4n2D+F11o7jQxPGQiH97z/hXBi5Zn8JnPA3BtChSg
+ drC/g2u1xznpYZSMTBw8XwNWA2ydPh/SDKbgsIkIYFUHh8iuus4rJgxRFKWO
+ f4ERr8dI/NCTOYbz14O8X3Veye9woVPw8VKQXooF2QAA+qAh73IrBzlV2Uwx
+ A6ljaHocGWemeOIuFFAMWOL8SpwgSMUpwOhlw0SbZHjtja73vuowmeKkGKR6
+ 0XzNMf+kp+rWoBfZB3vjf8Pcfgez6cOlsSJV1hEkDUZbDGNJxhZki5Ksq9CP
+ tLlyTLacUFFNyY3QqgmVoy3sz6hAczhfVDM97+yE2p2nHn3s/ru+8fTjpx8C
+ +DaDB+5e5D1e5qyE7ciRIx8CjT6yvb3dq9cMbDjHsbvLRH+aI78V98wxVB+I
+ XHwumHDvyNCzcKiDY00BAwo8BccW3DMjCuijGaOfkrcz9FvoD4C8W9SbQ9Sa
+ g+DYQUTlQUT2QVrFA7RE8+YAucPHrnvLyVOfubj99/t3njnztyuBLwrJElQO
+ ycDSUiRaL5C/oxjtBwOZdwfqfoWfH4WOnXJdc5sLvIUbPgohpCIxQ/hk8CAB
+ DJYEhgE0htgDPE3QZtDQGQR/Rm3Yogat9lu06ma0ardo2cxoUU9pvprS9s6Y
+ zj4/ojPbRRmO3Xy7gO+67oqe36MQZt1CMhvld49Z9Eh04wc6E59FxL23CHqr
+ YKvy1NSA2qANeINWEsP7UUbCVhTR2I20jwWMwj658aVm82/a4148g9nKoKep
+ sYPyyTMPHn2PeD7jeskNZGeMgOYx4lgbn+LQ3mG5+ro30zOdEwl1Hw8j8zpE
+ 4eNI9O6ZKN8ZU7RMCBQr3TfwPpsJDBnDLhwXM+JiSqba0n1T5mNp5RSG4loY
+ acRoNLKZjurw8dhL1riPDQmnFQN6zWdYFSa230K+8Qj8cyqw+wR4/wj7/gcj
+ 0//0gKF/jDE3wGMHukFLUjMpuWBfkPETHQlTTBSggjQS6CnYxesp3HJSItN+
+ 8JrmqXh5Q/vdHENQYxqq1PK9/d0IoLuNr+7sR92ddl5cOLQFxUX0ANCn/kn2
+ S+czMyW9y+mTpJQ/P07unpvAsFEGLB52ClxVCwA5ZXS4L+rMqcKqucuQcNX7
+ NwDgNeXP+hyGzIbLNEm1t7kdTE+dmdlZBAiZCOiXN1C496hy2qBpD46z9FAX
+ 2TdQIWlCKwM1Mgh0JFeJakioOAr9MBrBJa+vJ7A97d8ACRRJYfMkY/MsEfNj
+ PJyhOY11JXiGlzKMaAHCj5UmGpygSgwT5XjEvpdABWVCDnLDKVhZwzVVBFoy
+ yMwv7+NLCXAyYLWZAVLurSVlQ5qQDDCaGrRwYxDwovXidXZJcVg8Lx7PvQax
+ eF69Lx6f4DHVpaAPMCpP0Bztv4PfdASgt2EviNOTzJoBCl7yGutG8NlIg5Fd
+ aqaQEUBMiDGoT01RJsMKUMPJDA2QDl5GecpWZx3c7ymVNOL5/kXBrzaKASRI
+ LFVUKu9MjgWpaQfwko/UBhWcAYWicNgmT8sElrw9Vp6Lx5XznPjOA9+liBC+
+ I3vH1Hxlz+8ZsYEBWnCg8B5mu1xKedqrlEgMWIE2QUB5LpNum6TfQdMJnFOe
+ D80mdUoFKECnxDWNcXhxz6/TZxMKDVRZOzcEcLNeiCA5w4RQqWfF8zoK4m00
+ kgkse5+50jp0T2lCscZ389Ke1221+Qhkrg+1bcwj0uQiRPN5JE+og8YJTPa6
+ kZkzpwNJZTjPCzGpi0xOWrrn+p/pP4B/GUEsGUjmOWfuhzX6LHObQ2GCAY8l
+ WUuehzHK80niuxbL4vUqqw0eHcVYeD2Y/YPHoNebyGj2dp0LETvwfw28VlHI
+ 8wP7MnneSQotCuOywqR0QhliheM+z0sxidq+wW/m/fURqHM1Zdb4vxxWyKQE
+ RAbm+z3Pj7LXR1lhEt85SjLmNFvVQA4bghdPCv+7TWQUYHPtmtdzWFRJRkRq
+ UwEvRfaOLSbBIDntdDnI5rUtzqs+Ma29idIwp7U38huDf3kqFHXNRupQiV6T
+ F1hXGbiClx4ln6xX5Fl1rD2p11NOk/TdZaUxa8tFm271ZiqUVxCWa+faPCKD
+ AbrkIXVPymVsWtfyWWkk5kOfZ9a4D5m8upsYIMsfiyyjcQjgmBeZZMFJljx8
+ MQ5KnxCTLJoEPE1+w7ou/xeevywONlChOgdrHCRU+J/XaHazIbvWuJCyyIEy
+ qSbWCYrMVfN8vek8AJcPfA95KV3W7xdr9JFRWCCPD5J1N5IWxBygHNc8/7+j
+ zeUFzTKDlHpA1vTruLaKltVoMamqIKt7mlInwb+qnn9BIrdRPZAotMt7RNZR
+ HEZgmZf5luOqakZFTbKOmlTmFfK8ymg9338QJ4/vDmudEtSD17MBK9QMq6Z5
+ 7r7rX3v4nRd35mvAXwHa9Oepri/ct4EKyazLA4XkC0q9tiAr4EWlmj+f/vF3
+ t47edFPdmDenrx6vBHh59YXnaX7625sZEGXxcKjCeG89P0uszBPt/OLZ5fOL
+ n72fxifuIBp/GEYcv7ro62fQfkf1k1+h+ZPnNigpbRvIL1CLeRuNfHEc6oAB
+ vC6w6lfHxdnztDh7K11DmzPyQYmNfL6UVLo3wbSBQyPlpKzLy4c1KfxlnfKl
+ 1ij/bwZIfYeMeClfLaH/vefQ6SoE7Xn+mgU/jIAHjVbOWUwJ3su3WPm8mQrX
+ 6Luujdcq+LQ26govgVwULnoYYMUK7MhyS9tKXnftglcDikJLqLYsCuq9fP/D
+ Pys7Jup3s2t8k2xU1oO6qqoYBsj/5QjyLQpDcM2D1y80ktsjBxXuh8K5UBRF
+ zKt0r4rN6X9sEDMgP9aVZMPwfzFeHdu/BBgATwIODZj1b7UAAAAASUVORK5C
+ YII=
 
 Package: gpscorrelate-gui
 Architecture: any
-Depends: gpscorrelate, ${shlibs:Depends}, ${misc:Depends}
-Description: correlates digital photos with GPS data filling EXIF fields (GUI)
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Correlates digital photos with GPS data filling EXIF fields (GUI)
  gpscorrelate fills EXIF (Exchangeable Image File Format) fields of
  digital photos related to GPS (Global Positioning System) information
  (e.g.: GPSLatitude, GPSLongitude, GPSAltitude, ...). The act of filling
@@ -53,3 +122,86 @@
  user interface for it (package gpscorrelate-gui) are provided.
  .
  This package contains the GTK+ graphical user interface.
+XB-Maemo-Icon-26:
+ iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
+ 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAAN1wAADdcBQiibeAAAAAd0
+ SU1FB9oFBwUDDuAYng8AABAHSURBVGje3Zp5lBXVncc/t+rtvb3uppdHN4tA
+ Ay1gY4h2EAQFEVQwDMRGUUTcwmD0OBwz2ROMEzMxmjgnk5iJJlGOA7RDHM+o
+ SFpkwMguS4ARkIaG3pvX2+t+/ZaqV3Xnj6r3egO7Jzk5mZk6p869Va+q7vf7
+ +/7u7/e7txv+jx/irzWwlDINGA0UHz58uLS6urrojTfeqHzzzTeP/NUJDARX
+ V1c32el0Fnq93nyX2z3S5XYXqEL4AIQQ5OXlEQgE2Llr176FCxbcBGh/MQJS
+ ynRg1EBwPp8v3+lyjXS6XAVOVfVJKQEoKCigoLBQhoXDuKSbSlA3lbaETpuu
+ 056I06HHaEtEmJ2RzsoRAZYsWfLKtm3bfgYc/x8T6Avu0KFDVzc0NEwaPjiU
+ SwmU1gQE7TPZ70joSBlHkToKcVSpIdD6tW6R4MUJM4yPfv/+hSWLl3wfeBMI
+ D4vA9u3bA4ZhXCwsLHQmwRUWFpJfUCDDwmG06ChBG9wlG1gSXLsBhrySXAaK
+ DVChl0Bvq6Ggpdr5/gD3B6ZSUVHxm61bt74C7Bu2Au/v2FF9y/z5459rgSbd
+ AtrxWeCGOBQ5GKDVj6Og92tVNITUcIkEz5bcZpzYe+j8zTfd/APg34GuzxpH
+ TXa+eOedzZmZmXeddWaytwciJvwp2IVMoBJFlTFUYtDRzNTnn2XGj5+n5KWX
+ 8Vd9QHv7JUTZOBxCs5+Lo8oYQkaJGhFl6TU35Z4/f777+PHj9UDtsOfAtm3v
+ HS5fsKjsgYuo8Sugb927k+7aBoTbQ+H0MrxXTbSISvOyblLwsxf55Z6jcOxE
+ 6htdSNYtn4Xr6YcGqeQQOt8uWWWcO3qm7sbZN/6DYRhvAh1DKgCwfPnyxpw0
+ 771qpp9TscEPN27eSCiWx3kjQJuRTcOJ00RP7idvWikOxXIPB7F+VtU7glxb
+ 20ROWyfEregYBz5OU9G/eB0qcRy2WqqMocgYPYmQsnjqQn9jY2P34cOHG4CL
+ wyJQWVn56cKFCxfcPrWk6J0ulMQAFeJ/PEE4YwxdcQMA05tNV1sYd/NRcieP
+ RZVx233iKTdSxgfYrep82nKJU+1tnFYk73lVPNKk6N0DeHcepfNcHcqUPJxO
+ HZUYrdF6pvmnGhNGleRufG3jKcMwLgCRIQnYKlxIczpWp2XnipMDVAhfasAf
+ 7SIo063JLSVq7cekixAyGsKX7sDtIaWEQhzZWEfppm3cc+g0t0R0rjEEczXJ
+ 3FCcmS1h5l7sYPaRevbtPkn08wV4/AKVGN1aq3LblKWZra2tPQcOHKgHaoad
+ yN5+++0P5t2+eO6qC6hhs/e+qWs0bt1I7dFPiOoKhuKG4ikQmASREM7Oc+Rq
+ 1ZTfO5OMggwUdPJ/upEf/W4fiY5OXJcZywReIM5aXDw/1kP41wvxZqsoUuPL
+ kzaYHTXR4MyZNzwTDoe3Ai1DKgCwYsWKMyry4dy8PHEs2hvT61/5BbW+GfQU
+ TkcWT4OiUsgYYf3u9GB6cginl9D0fhWBUSppfgfZe08yty3Oo6FmlprqZS1Y
+ JQw0Acs7Td5t6yTr5hGoxAjF68Utpfekd3V1Rfbs2dMAnBsUri9HYOnSpQeq
+ z579/TI/hl+RVsyOd+BLyyNyau+VY9r5Q4j9m+kqWcpH/3ocJdFN7czRHB+Z
+ ixgZAKfzsq89Ld38o6rx3OJ8MlePwSGjOGSEuq591HUfM9c8+MDNfr+/FBg5
+ LAUAVq1adTyhxdcG8nOUP/b04FB1widO4dZiaO0t6P7iwS+NGI344zbwB1Bj
+ HYwq7CGnbCQfZicIRrrwpvkpbe4EOThGlygqh9eOoaAsLZVDVBmjM3ZO3Dz5
+ YV80Go3v3r27DqgeFoFNmzZdmjdv3ufu/NzUibtCIaGZEWIdjbgNBa3qZWJl
+ d2JeLleUzCRzxwYqvl+OP+DDIWOkFXnJmzuWaqOHqZEsssJRiMf7vRYwBe8n
+ YmTNz0QlhkPGUIgRjV8kkD5Nlk2aU7h585bTPT099X2zs/pZWW7dunUfd4VC
+ 68aMzFOPhdvJGpNL7tRcMqeUkNYapV31Dy41FBWnEeJzs904VR1VRu2cEMU9
+ OZ099c2ME4U0pXs5Gu3kkF9hd7GDHaVu2nIV8md5bOvHe1WIfiJmTXrCo+u6
+ vnPnzn4qDFlOV1ZWVi67664vrT93QmnTuxFSQ0WjZvtRDPcc6owMGrq1/mqc
+ /5hZI3dRftf4QbWPKuO0nmnBnQbedIk3TeJU+9RGlynyBLBo4mvSHS0Ll5fP
+ fLa+vn4LcGFYBPbv31+sOhzVkfFF7lcaT9gftQY7/R8nMeKZxBIRonoYjxoj
+ 3RMhMFph5ORMPB7ZB8hQ1ah1XyWOSLb0xvAc72RWXPMH+cILP6l66qmnfg68
+ A8hhLWgqKytfXbZ8+f3fqdklLsXb+1lT2K2CBpeCuN7bhXHjVJxjsy9befar
+ Tm01BxJxCPA688hwjyLNGSDNFSDDXcw1hWsJBoOUl5d/p6amZgtQ7RgOgcmT
+ J//9wYMHK5ZfXeJ5ue4/Re+ANjAzhth9EPepahLzp+Mak4EiI70gk0SJ48Ak
+ 3ZWG3zmGTFcOGc4cslyFpLsKyHAVmJnuMabHmasKlJRx4/E4Fy/WRD+s3tXV
+ 2d7V5HQ6A8B1wPlhESgrK7u0ZcuWjcuvu+7R0W4vTbHO/lb9typUqSMeXUCu
+ y0euKxO/M5NMZyZ+Vw6ZzmyyXLlmlqvQ9Dn9g8BduHA+Wtfc1NHT3Rzs6DjV
+ 3d7e3tXY2Biur6+P1NbWhk6fPt3W2traZK/QIvbZDX0+NNRRU1Pjr2uory27
+ /tqMN5vex+/wkuvMwO9M572vPUj5sseNOQvvVwRiALiaaGNzY0dPdyTY0dHR
+ 1dbWFm5qauqurb2gGS0nlx0+e2nz+frW/QPAXemM/VmL+o0bN/6woqLi6263
+ m1gsxoWLF6JNzU0d547sjtXurxwhskvqI+kTPqlvaArX19d3nTlzJhgMBpsH
+ gps3wV1WPEJdGdP48I0jkReuBO4vsSshVq1adV8ikXDs2LGjyAbXfcP1ZUXj
+ xhbmZxMsNrrbxmemp7VrWVcdzsob1ZSe7ov7fF49EurMjrVdvDGha1n+nOzq
+ tJHjjyikHXnwK986wp9x/En7Qhs2bFD0tjN3TL86/5ZAfvoNE0f7y/wZHqfl
+ PYJIJMbBPQdorGtmzoK5FI8KJCvC3lZKuiMJvaldP9YZNj5qCModpxq07Rs2
+ bDD/IgRmzJjhW7bg6oprJmTfmJuTMWtqSd5Ej8slEAoSAUIBBIZhUnfxHFIL
+ yb1HqhPnDh5xjrt2emJW+SRVuDLFqDETUFVhkzARdqslDFnbHP20K2zsaQoZ
+ u2pafVvXr18f/bMI3LdsYaC8bOTdE8b4byjMS59VOi4/oCgOpFBswGoKeJJI
+ c0uQ9NgJQmFN2/juuXdkc/VcmTNuz5plExdl+JyuHu80CgvyUsBJtYZFSJqY
+ ZoKGYKwpFDb2tHQYe09f6Nnyd996tmlYBJ5a+zdTp4zPXT4mkDF7VMB//Zgi
+ fybCAUJFomD1lT7XSTJKikRnZzftwXqEGSWhaThcblA9ZI8oxu/P6APetFpp
+ WllXGvZ1os91gpb2eFewUzvQGTY/agybW+97cMMnSbyD8sCcGUXfuG3W2JVS
+ cVhgUZFCJUVCqJA6FWRKBSWlhj/XS1ZuwQD7SBu4RA4gIDCQMgnYQEgVKQ0g
+ gUChIFfNLMhxLRBmYsHhs+ESYNUVCaiqalrgnTZgxwDwffqodl8ZQCLpVqLv
+ vqUFPGn1JHhpWmCFgbAJSJlASAWkYvet4CAVgTGg/B20IrPcwskPfrGd3Guf
+ JO/ax3l5y4c2ESdSOPnJr94me2IFa578KVJxgeLm1coP8BXfglQ8rHjoe2SN
+ nc/dD38XqXiRioeyOffjK7oJX9E8pOLBV3wrvlGL8I6+Ham4GFF6N9L+vjWO
+ I2U8aRsN4UDTjaGWlJZL/PAX73Fs+7O89euneGnj+30+5ODnv32HbZXP8U7V
+ PlBcSMVFT1S3DKB4rKgESKkgVQ9S8RDqCnN071uEW46A4qaneT8HPniN0klX
+ geKkIC8HFGe/cXpd1WGrr6Dr5hAEFEuF68vGseKxf2bfkWq2b/puP98/e2gT
+ 85Y+yeOPVqSU+dtH7rPfd7H59Zdob/qETa//i6WA6iUU6mb+4gdY/80fIxUX
+ Urh4t2oft986G4SDk3tf7zeG7NdaEU+ioBv6UApYIXHbxq/ytXV3cuREDYtW
+ PpOKNtL28f/au5lfvfZW/4kNtgtYbiUVT+psbT7LwT3beX3zW6n59Yd9R5lz
+ w+d75xNK73zqO5eS80kog5bTypVywOzl3yeQ7+fZr99LTV1Ln6grmHj9PXSG
+ uonF4v3uW90+RIUDFBcIB6XTZlJb14jL5SKZsU9/ep4ppRMGRPW+3xo61w6K
+ Qg5VMZGSJ9YsZPEDz5FImHzziS9ZOwnCypwP3beYeV98jMceqbDLA0l6/jUA
+ ZOSW0N1WbQ9rIqVAILn/vgpuX3IPX//qY1a4xCTY2k7eCL+9SyF7Qy2mdS91
+ vzeSDdwzH0Tvo999+5Xrp416KBUBBoVUZ59wmvxd7Z18KL2htZ/AVshMghcy
+ ATJhxX0z2U/YoVS3f7f7ZvK3BFV7z76++IHnV32GC5kSeyD3hNV4xt2L56qK
+ VJJJDvLq5nfwFc1FmDqYOq+9/jvS86cjTI1rZ95BxohSMkZMQphRVq5aS05g
+ GitXfwVhaggzzvQblpFW+AXSArNS4F/bvA3v6NtBGuRevdIeK5kz7CxtDuFC
