=== debian/changelog ===
gpscorrelate (2.0-4build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:50:18 +1100

gpscorrelate (2.0-4build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:49:35 +0000

gpscorrelate (2.0-4) unstable; urgency=medium

  * QA upload.
  * Backport upstream commit 4cc76a762366ced88f388e6c23eb801af21a6c58 to build
    with exiv2 0.28.0+; patch
    upstream_Adapt-to-API-type-changes-in-exiv2-0.28.0.patch.

 -- Pino Toscano <pino@debian.org>  Fri, 17 Nov 2023 12:25:05 +0100

gpscorrelate (2.0-3) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Paulo Henrique de Lima Santana (phls) ]
  * Set Maintainer to QA Group. (See #1015844)
  * debian/control:
      - Bumped Standards-Version to 4.6.2.
      - Updated debhelper-compat to 13.
  * debian/copyright:
      - Added all upstream files on the list.
      - Added Paulo for packaging.
      - Updated Mònica copyright years.
  * debian/gbp.conf: file created.
  * debian/rules: added override_dh_auto_test because upstream tests
    are failing.
  * debian/salsa-ci.yml: file created.
  * debian/source/lintian-overrides: file created to ignore warning about
    html files.
  * debian/watch: updated to version 4.

 -- Paulo Henrique de Lima Santana (phls) <phls@debian.org>  Wed, 25 Jan 2023 23:59:47 -0300

gpscorrelate (2.0-2) unstable; urgency=medium

  * Update new maintainer and homepage in debian/control and
    debian/copyright. (Closes: #931611)

 -- Mònica Ramírez Arceda <monica@debian.org>  Wed, 19 Feb 2020 22:22:26 +0100

gpscorrelate (2.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #950172)
  * Add build dependencies to debian/control:
    - Replace libgtk2.0-dev by libgtk-3-dev.
    - Add exvi2 to run tests.
  * Remove debian/gpscorrelate-gui.docs and debian/gpscorrelate.docs since
    README does not exist anymore.
  * Remove old patches:
    - 10-build-fixes.patch: changes not applicable any more and XSLTFLAGS
      added to debian/rules.
    - 20-timestap-fixes.patch: applied upstream.
    - 30-check-gps-tags.patch: applied upstream.
    - 40-fix-typos.patch: applied upstream.
    - 50-add-keywords-entry-desktop-file.patch: applied upstream.
    - 60-gpstimestamp-unsigned.patch: applied upstream.
    - 70-option-overwrite-gpstags.patch: applied upstream.
    - 80-cross.patch: applied upstream.
  * Bump to Standards-Version 4.5.0. No changes required.
  * Update debian/rules and fix hardening problems.
  * Replace debian/compat with debian-compat in Build-Depends.
  * Add Rules-Requires-Root to debian/control.

 -- Mònica Ramírez Arceda <monica@debian.org>  Thu, 13 Feb 2020 23:09:25 +0100
