=== debian/control ===
Source: gpscorrelate
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               docbook-xml,
               docbook-xsl,
               exiv2,
               libexiv2-dev (>= 0.10-1.3),
               libgtk-3-dev,
               libxml2-dev,
               pkg-config,
               xsltproc,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://dfandrich.github.io/gpscorrelate/
Vcs-Git: https://salsa.debian.org/debian/gpscorrelate.git
Vcs-Browser: https://salsa.debian.org/debian/gpscorrelate

Package: gpscorrelate
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: correlates digital photos with GPS data filling EXIF fields (command line)
 gpscorrelate fills EXIF (Exchangeable Image File Format) fields of
 digital photos related to GPS (Global Positioning System) information
 (e.g.: GPSLatitude, GPSLongitude, GPSAltitude, ...). The act of filling
 those fields is referred to as "correlation".
 .
 Inputs of the correlation process are a set of JPEG images and GPS data
 encoded in GPX (GPS Exchange Format) format.
 .
 If GPS data are available at the precise moment the photo was taken
 (with a 1-second granularity) the GPS data are stored unmodified in
 EXIF fields. If they are not linear interpolation of GPS data
 available at moments before and after the photo was taken can be used.
 .
 Both a command line tool (package gpscorrelate) and a GTK+ graphical
 user interface for it (package gpscorrelate-gui) are provided.
 .
 This package contains the command line tool and the documentation in HTML
 format.

Package: gpscorrelate-gui
Architecture: any
Depends: gpscorrelate, ${shlibs:Depends}, ${misc:Depends}
Description: correlates digital photos with GPS data filling EXIF fields (GUI)
 gpscorrelate fills EXIF (Exchangeable Image File Format) fields of
 digital photos related to GPS (Global Positioning System) information
 (e.g.: GPSLatitude, GPSLongitude, GPSAltitude, ...). The act of filling
 those fields is referred to as "correlation".
 .
 Inputs of the correlation process are a set of JPEG images and GPS data
 encoded in GPX (GPS Exchange Format) format.
 .
 If GPS data are available at the precise moment the photo was taken
 (with a 1-second granularity) the GPS data are stored unmodified in
 EXIF fields. If they are not linear interpolation of GPS data
 available at moments before and after the photo was taken can be used.
 .
 Both a command line tool (package gpscorrelate) and a GTK+ graphical
 user interface for it (package gpscorrelate-gui) are provided.
 .
 This package contains the GTK+ graphical user interface.
