=== debian/watch ===
version=4
https://github.com/dfandrich/gpscorrelate/tags .*/tags/v?(\d\S+)\.tar\.(?:bz2|gz|xz)
